# TeamUpgradeEraPurchased

{% hint style="info" %}
This is a new event from the Season 10 update (April 5th, 2024)
{% endhint %}

Example usage:

```lua
Events.TeamUpgradeEraPurchased(function(event)
    -- Only proceed if the Diamond Era was purchased
    if (event.upgrade == TeamUpgradeEraType.DIAMOND_ERA) then
       local teamPlayers = event.team:getInGamePlayers()
       -- Loop over all players in the team that received the upgrade
        for i, player in pairs(teamPlayers) do
           -- Give each team player a Diamond Scythe item
           InventoryService.giveItem(player, ItemType.DIAMOND_SCYTHE, 1)
        end
    end
end)
```

### Parameters

#### player: [Player](/scripting/bedwars-scripting/objects/player.md)

The player who purchased the team upgrade.

#### team: [Team](/scripting/bedwars-scripting/objects/team.md)

The team that received the team upgrade.

#### era: [TeamUpgradeEraType](/scripting/bedwars-scripting/types/teamupgradeeratype.md)

The team upgrade era purchased by the player.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.easy.gg/scripting/bedwars-scripting/events/teamupgradeerapurchased.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
